ReaderEncryptionKey.State (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl.reader

## Enum ReaderEncryptionKey.State

- java.lang.Object
- - java.lang.Enum<ReaderEncryptionKey.State>
  - - org.apache.orc.impl.reader.ReaderEncryptionKey.State

- All Implemented Interfaces:
    Serializable, Comparable<ReaderEncryptionKey.State>
  Enclosing class:
    ReaderEncryptionKey

      public static enum ReaderEncryptionKey.State
      extends Enum<ReaderEncryptionKey.State>

  Store the state of whether we've tried to decrypt a local key using this key or not. If it fails the first time, we assume the user doesn't have permission and move on. However, we don't want to retry the same failed key over and over again.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAILURE`
    `SUCCESS`
    `UNTRIED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ReaderEncryptionKey.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ReaderEncryptionKey.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNTRIED

          public static final ReaderEncryptionKey.State UNTRIED

    - #### FAILURE

          public static final ReaderEncryptionKey.State FAILURE

    - #### SUCCESS

          public static final ReaderEncryptionKey.State SUCCESS

  - ### Method Detail

    - #### values

          public static ReaderEncryptionKey.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReaderEncryptionKey.State c : ReaderEncryptionKey.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReaderEncryptionKey.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.